//////////////////////////////////////////////////////////////////////////
//Export Function

// This file supports all Platforms, but this sample code only supports PC Platforms
// so if you want to use this sample code in PDA platform, you should creat a new project for 
// PC flatform and add file in your project.	
  

#ifndef BXLPTR_API
#pragma comment (lib, "satoLabel.lib") 
#define BXLPTR_API __declspec(dllimport)
#endif


BXLPTR_API long __cdecl ConnectPrinter(LPCTSTR strOutPortName, long lTimeout = 1000);
BXLPTR_API long __cdecl DisconnectPrinter();

BXLPTR_API long __cdecl PrintTest();


BXLPTR_API long __cdecl SetConfigOfPrinter(int speed, int density, int orientation, bool autoCut, int cuttingPeriod, bool backFeed);
BXLPTR_API long __cdecl SetPaper(int paperWidth, int paperLength, int mediaType, int offset, int gapLength);
BXLPTR_API long __cdecl SetMargin(int horizontalMargin, int verticalMargin);
BXLPTR_API long __cdecl ClearBuffer();

BXLPTR_API long __cdecl PrintDirect(PCHAR directData);
BXLPTR_API long __cdecl Prints(int nLabelSet, int nCopies);
BXLPTR_API long __cdecl PrintDeviceFont(int xPos, int yPOS, int fontName, int xMulti, int yMulti, int rotation, bool bold, LPCTSTR pData);
BXLPTR_API long __cdecl PrintVectorFont(int xPos, int yPos, int font, int fontWidth, int fontHeight, int rightSpace,
										bool bold, bool reverse, bool italic, int rotation, int alignment, int printDirection, 
										LPCTSTR pData);

BXLPTR_API long __cdecl Print1DBarcode(int xPos, int yPos, int barcodeType, int narrowBarWidth, int wideBarWidth, int barcodeHeight, 
									   int rotation, int HRI, LPCTSTR pData);

BXLPTR_API long __cdecl PrintMaxiCode(int xPos, int yPos, int mode, LPCTSTR barcodeData);
BXLPTR_API long __cdecl PrintPDF417(int xPos, int yPos, int verticalCount, int horizontalCount, int errLevel,
									int dataComp, bool HRI, int startPosition, int moduleWidth, int barHeight,
									int rotation, LPCTSTR barcodeData);
BXLPTR_API long __cdecl PrintQRCode(int xPos, int yPos, int model, int eccLevel, int barSize, int rotation, LPCTSTR barcodeData);
BXLPTR_API long __cdecl PrintDataMatrix(int xPos, int yPos, int barSize, bool reverse, int rotation, LPCTSTR barcodeData);
BXLPTR_API long __cdecl PrintAztec(int xPos, int yPos, int barSize, int interpretation, int errCodeNSymbolSize, bool menuSymbol,
								   int numOfSymbol, int optID, int rotation, LPCTSTR barcodeData);
BXLPTR_API long __cdecl PrintCode49(int xPos, int yPos, int narrowWidth, int wideWidth, int barHeight, 
									int HRI, int startingMode, int rotation, LPCTSTR barcodeData);
BXLPTR_API long __cdecl PrintCODELOCK(int xPos, int yPos, int narrowWidth, int wideWidth, int barHeight,
									  bool security, int dataColumns, char mode, int encodeRow, LPCTSTR barcodeData);
BXLPTR_API long __cdecl PrintMicroPDF(int xPos, int yPos, int moduleWidth, int barHeight, int mode, int rotation, LPCTSTR barcodeData);

BXLPTR_API long __cdecl PrintGS1DataBar(int xPos, int yPos, int barcodeType, int expand, int separatorHeight, int barHeight, int segmentWidth, int rotation, LPCTSTR barcodeData);

BXLPTR_API long __cdecl PrintBlock(int xStart, int yStart, int xEnd, int yEnd, int option, int thickness);
BXLPTR_API long __cdecl PrintCircle(int xPos, int yPos, int size, int multi);

BXLPTR_API long __cdecl PrintImage(int xPos, int yPos, LPCTSTR filename, bool dither, bool enableRLE);

BXLPTR_API long __cdecl CheckPrinterStatus();
BXLPTR_API long __cdecl InitializePrinter();
BXLPTR_API long __cdecl CalibrateMedia();
BXLPTR_API long __cdecl ResetPrinter();

BXLPTR_API long __cdecl SetCharacterSet(int ICS, int codePage);

BXLPTR_API long __cdecl FeedOneLabel();
BXLPTR_API long __cdecl SetRewinder(bool enable);